Results 1 to 5 of 5

Thread: Repository 'benchmark' is invalid.

  1. #1

    Default Repository 'benchmark' is invalid.

    Code:
    # zypper ref 
    Repository 'NVIDIA' is up to date.                                                                                                                          
    Repository 'The latest official release of MATE (openSUSE_Leap_15.3)' is up to date.                                                                        
    Repository 'brave-browser' is up to date.                                                                                                                   
    Repository 'Main Repository (NON-OSS)' is up to date.                                                                                                       
    Repository 'Update Repository (Non-Oss)' is up to date.                                                                                                     
    Repository 'Main Repository (OSS)' is up to date.                                                                                                           
    Repository 'Main Update Repository' is up to date.                                                                                                          
    Repository 'network:time' is up to date.                                                                                                                    
    Retrieving repository 'benchmark' metadata ..........................................................................................................[error]
    Repository 'benchmark' is invalid.
    [https-download.opensuse.org-80b6df95|https://download.opensuse.org/repositories/benchmark/openSUSE_Leap_15.3/] Valid metadata not found at specified URL
    History:
     - [https-download.opensuse.org-80b6df95|https://download.opensuse.org/repositories/benchmark/openSUSE_Leap_15.3/] Repository type can't be determined.
    
    Please check if the URIs defined for this repository are pointing to a valid repository.
    Skipping repository 'benchmark' because of the above error.
    Is it please a temporary outage ?

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    30,504

    Default Re: Repository 'benchmark' is invalid.

    I do not think that we, fellow openSUSE users can know if this is temporary or not or whatever.

    But when I use a browser and go to https://download.opensuse.org/repositories/benchmark. I do not see the next step that, according to your listing, should be /openSUSE_Leap_15.3/.

    I only see a directory named /15.3/. And there is a repodata there

    It could be the maintainer changed the name?
    Henk van Velden

  3. #3

    Default Re: Repository 'benchmark' is invalid.

    Was changed by maintainer. Editing the URL to /15.3/ solves the problem.

    (Consistency has not been a word to describe 15.3. Here's hoping for a more consistent 15.4)

  4. #4
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    30,504

    Default Re: Repository 'benchmark' is invalid.

    Quote Originally Posted by Flamester View Post
    Was changed by maintainer. Editing the URL to /15.3/ solves the problem.

    (Consistency has not been a word to describe 15.3. Here's hoping for a more consistent 15.4)
    Was it 15.3 or $releasever? I would go for the latter.

    I assume the problem is that when you think such a change has to be done (for whatever reason), how to communicate it to your users. The result being a BAM! and let them find out.

    But of course the real idea behind my post was how to start finding out what maybe wrong/gone wrong/changed or whatever by looking at the place where the error message told you somthing is not OK.
    Last edited by hcvv; 19-Jan-2022 at 08:48.
    Henk van Velden

  5. #5

    Default Re: Repository 'benchmark' is invalid.

    Quote Originally Posted by hcvv View Post
    Was it 15.3 or $releasever? I would go for the latter.

    I assume the problem is that when you think such a change has to be done (for whatever reason), how to communicate it to your users. The result being a BAM! and let them find out.

    But of course the real idea behind my post was how to start finding out what maybe wrong/gone wrong/changed or whatever by looking at the place where the error message told you somthing is not OK.
    Thank you, I'm using $releasever.

    I will use same approach to solve similar problem if necessary.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •